Skip to main content
PUT
/
api
/
v1
/
contacts
/
fields
/
{key}
Update a custom contact field (name, is_active, etc.)
curl --request PUT \
  --url https://{subdomain}.mihu.ai/api/v1/contacts/fields/{key} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "is_active": true,
  "type": "<string>",
  "is_required": true,
  "order": 123,
  "options": [
    "<string>"
  ]
}
'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/contacts/fields/{key}"

payload = {
"name": "<string>",
"is_active": True,
"type": "<string>",
"is_required": True,
"order": 123,
"options": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
is_active: true,
type: '<string>',
is_required: true,
order: 123,
options: ['<string>']
})
};

fetch('https://{subdomain}.mihu.ai/api/v1/contacts/fields/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

key
string
required

Body

application/json
name
string
Required string length: 2 - 255
is_active
boolean
type
string
is_required
boolean
order
integer
options
string[]

Response

Custom contact field updated